Can't import Shuffleboard from WPILibJ

java

#1

When I type the following code into VSCode

import edu.wpi.first.wpilibj.shuffleboard.Shuffleboard;

I get the error The import edu.wpi.first.wpilibj.shuffleboard cannot be resolved [268435846]. The Shuffleboard section in the WPILibJ javadocs show that this should be working, but it’s not. I’m guessing that I have an outdated version of WPILibJ, but we just did the update with the WPILib app for 2019. Has anyone experienced this as well?


#2

For whatever reason WPILib hadn’t updated the WPILibJ jar in our project to the 2019 version. Making a new project resolved it.


#3

From http://wpilib.screenstepslive.com/s/currentCS/m/cpp/l/1027505-visual-studio-code-basics-and-the-wpilib-extension

Note: If you used the publicly available Visual Studio Code Alpha or the closed Beta, you should create a new project or re-import your Eclipse project. There were breaking changes made to some of the configuration files (such as build.gradle) between releases.